/********************************************************************
*	Name:		    init.c  										*
*	Funktion:	    Initialisierung									*
*																	*
*	Datum:		    30. 12. 2007									*		
*	Autor:		    Andreas											*
********************************************************************/



void init (void)
{

//***** Initialisierung fr I/O-Ports:  *******************

//Port A: 
PORTA = 0x00; //dektiviert		// Pull-up-einstellen: 1=aktiv/0=deaktiviert
DDRA  = 0xFB; // 				// 0=Eingang/1=Ausgang

/*	Port A.0 - IN  - HUM
	Port A.1 - IN  - TEMP
	Port A.2 - OUT - STROBE
	Port A.3 - OUT - N.C.
	Port A.4 - OUT - Relais1
	Port A.5 - OUT - Relais2
	Port A.6 - OUT - Relais3
	Port A.7 - OUT - Relais4
*/	
	
//Port B:
PORTB = 0x00; //dektiviert	// Pull-up-einstellen: 1=aktiv/0=deaktiviert
DDRB  = 0xF0; //			// 0=Eingang/1=Ausgang

/*	Port B.0 - IN  - DP1_high			<--Eingang 0
	Port B.1 - IN  - DP2_high 			<--Eingang 0
	Port B.2 - IN  - DP3_high			<--Eingang 0
	Port B.3 - IN  - DP4_high			<--Eingang 0
	Port B.4 - ?   -  					<--Ausgang 1
	Port B.5 - ?   - MOSI				<--Ausgang 1
	Port B.6 - ?   - MISO				<--Ausgang 1
	Port B.7 - ?   - SCK				<--Ausgang 1

DDRB: 1111 0011	=> 0xF3
*/

//Port C:
PORTC = 0x00; //dektiviert	// Pull-up-einstellen: 1=aktiv/0=deaktiviert
DDRC  = 0xFF; //alle Ausgang	// 0=Eingang/1=Ausgang

/*	Port C.0 - ?   - 
	Port C.1 - ?   - Strobe
	Port C.2 - ?   - 
	Port C.3 - ?   -
	Port C.4 - ?   - 
	Port C.5 - ?   - 
	Port C.6 - OUT - CLK
	Port C.7 - OUT - DATA					
*/

//PORT D: 
PORTD = 0x00; //dektiviert	// Pull-up-einstellen: 1=aktiv/0=deaktiviert
DDRD  = 0x03; //			// 0=Eingang/1=Ausgang

/*	Port D.0 - ?   - RXD
	Port D.1 - ?   - TXD
	Port D.2 - IN  - ON/OFF
	Port D.3 - IN  - SET
	Port D.4 - IN  - UP
	Port D.5 - IN  - DWN
	Port D.6 - IN  - OK
	Port D.7 - IN  - TEST
	
	0000 0011	=> 0x03			
*/
//*********************************************************


//**** Anzeige beschreiben ********************************
//	Anzeige (-1); //Anzeige und LEDs beschreiben
//*********************************************************






//***** AD-Wandler initialisieren *************************

ADMUX = 0; //Kanal 0
	//ADMUX-Register:
	//REFS1 = 0; //AREF, Internal Vref turned off
	//REFS0 = 0; //AREF, Internal Vref turned off
	//ADLAR = 0; //ADCH 2Bit + ADCL 8Bit
	//MUX4	= 0; //	
	//MUX3	= 0; //
	//MUX2	= 0; // ADC0
	//MUX1	= 0; //
	//MUX0	= 0; //

ADCSRA = 0xCF;  // 1100 1111
	//ADCSRA-Register:
	//8-ADEN  = 1; //AD-Wandlung aktivieren
	//7-ADSC  = 1; //zum starten der Messung auf 1 setzen
	//6-ADATE = 0; //AutoTrigger ausschalten
	//5-ADIF  = 0; //Interrupt Flag
  	//4-ADIE  = 1; //Interrupt deaktiviert
	//3-ADPS2 = 1; //
	//2-ADPS1 = 1; //Divisions Faktor = 128
	//1-ADPS0 = 1; //

SFIOR = 0;	//Triger Source




//***** Initialisierung fr Timer:  ***********************

//Timer0:
TCCR0 = 0x04; 	//Einstellung der Quelle fr den Timer: 04h = CPU-Takt / 256 
TCNT0 = 0x00;	//Start-Wert des Zhlers nach dem berlauf = 0
OCR0  = 0x00; 	// Output: Disconnected
		//TIMSK = 0x01; 	// 0000 0001 -> Overflow Interrupt enable -> Interrupt-Zeit: 8,192ms




TIMSK = 0x01; 	// 0000 0001 -> Overflow Interrupt enable -> Inetrrupt-Zeit: 8,192ms
SREG = 0x80;  //Globale interrupt aktivieren
sei(); //alle Interrupts einschalten


}
